libgail-common should be a dependency of gnucash

Projet:Trisquel
Version:8.0
Composant:Packages
Catégorie:Rapporter un bogue
Priorité:normal
Attribué:Non assigné
Statut:active
Description

gnucash fails to start without the gail module which is found in libgail-common:

$ gnucash
Gtk-Message: Failed to load module "gail"
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "topmenu-gtk-module"

mar, 02/05/2019 - 19:44

$ sudo apt install gnucash
$ sudo apt remove libgail-common
$ gnucash

Gtk-Message: Failed to load module "gail"
Gtk-Message: Failed to load module "atk-bridge"

and then gnucash starts.

$ sudo apt remove topmenu-gtk2
$ gnucash

Gtk-Message: Failed to load module "gail"
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module "topmenu-gtk-module"

and then gnucash starts.

Those warnings are harmless, and if gnucash isn't starting then something else is wrong.